arrow-left

Only this pageAll pages
gitbookPowered by GitBook
triangle-exclamation
Couldn't generate the PDF for 1308 pages, generation stopped at 100.
Extend with 50 more pages.
1 of 100

Validation Cloud

About

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Aptos

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Arbitrum

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Avalanche

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Node API

The ultimate solution for your web3 infrastructure needs.

hashtag
Welcome to the Future of Crypto Node Infrastructure

Enterprises and experienced developers seeking a robust and powerful solution for their web3 needs, look no further. Validation Cloud's Node API is the answer to all your crypto node infrastructure requirements.

Our cutting-edge platform offers:

  1. A comprehensive suite of API endpoints, meticulously categorized by crypto network, to ensure seamless integration and interoperability across the web3 ecosystem.

  2. Exceptional performance and reliability for your business-critical applications.

  3. Globally resilient infrastructure network employs state-of-the-art Smart Routing technology, which intelligently directs your requests to the closest set of nodes, guaranteeing lightning-fast response times and minimal latency.

hashtag
Key Features

hashtag
Extensive API Suite & Archive Access

Our diverse collection of API endpoints caters to a wide range of crypto networks, simplifying your workflow and enabling you to harness the full potential of web3. Depending on the blockchain, we aim to support debug and other advanced methods to aid developers.

We aim to provide archive/full history access on each blockchain we support. You will be able to see on the Overview page of each chain if archive access is currently available.

If there is a particular blockchain you are interested in where archive/full history doesn't seem to be available, let us know as we may not have rolled it out to the entire platform yet.

hashtag
Smart Routing

Our Node API's Smart Routing technology ensures optimal performance by selecting the nearest nodes, providing unmatched speed and reliability for your web3 applications.

hashtag
Enterprise-Grade Security

Validation Cloud adheres to strict security standards, safeguarding your infrastructure and sensitive data while maintaining maximum uptime.

hashtag
Scalability and Flexibility

Our Node API infrastructure is designed to scale effortlessly with your growing needs, offering unmatched versatility to support your business’s dynamic web3 demands.

Rate Limits - as much as we can, outside of DDoS protections, we try not to rate limit RPC or API requests through Node API.

If we notice very high amounts of requests from your account, we may contact you to understand what you are trying to do so we can provide the best solution.

Where a particular method or endpoint has a rate limit or request per second (rps) limit, that will be specified on the page.

hashtag
24/7 Availability

Our dedicated team of experts is available around the clock to assist you with any technical concerns or queries, ensuring a seamless experience with our infrastructure.

As you explore the limitless possibilities of Validation Cloud's crypto node service, we invite you to familiarize yourself with our competitive and flexible billing options, designed to accommodate businesses of all sizes. In the next section, you’ll find all the information you need to choose the perfect plan for your organization’s unique requirements.

Let’s revolutionize the world of decentralized applications together.

Submit Transaction

This endpoint accepts transaction submissions in two formats.

This method will use 350 Compute Units.


eth_gasPrice

Returns the current price per gas in wei.

This method will use 40 Compute Units.


hashtag
Reference: Herearrow-up-right

hashtag
Parameters

None

hashtag
Returns

String - hex string value representing an integer of the current price per gas in WEI.

eth_getUncleCountByBlockNumber

Returns the number of uncles in a block from a block matching the given block hash.

This method will use 40 Compute Units.


hashtag
Reference: Herearrow-up-right

hashtag
Parameters

  1. QUANTITY|TAG - integer of a block number, or the string "latest", "earliest" or "pending", see the

hashtag
Returns

QUANTITY - integer of the number of uncles in this block.

eth_gasPrice

Returns the current price per gas in wei.

This method will use 20 Compute Units.


hashtag
Reference: Herearrow-up-right

hashtag
Parameters

None

hashtag
Returns

String - hex string value representing an integer of the current price per gas in WEI.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'
default block parameterarrow-up-right
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'
//Result
{
    "jsonrpc":"2.0",
    "id":73,
    "result":"0xffc1dc"//16761308 wei
} 
params: [
  "0xe8", // 232
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getUncleCountByBlockNumber","params":["0xe8"],"id":1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getUncleCountByBlockNumber","params":["0xe8"],"id":1}'
//Result
{
    "jsonrpc":"2.0",
    "id":73,
    "result":"0xffc1dc" //16761308 wei
} 

hashtag
Submit transaction

post

This endpoint accepts transaction submissions in two formats.

To submit a transaction as JSON, you must submit a SubmitTransactionRequest. To build this request, do the following:

  1. Encode the transaction as BCS. If you are using a language that has native BCS support, make sure of that library. If not, you may take advantage of /transactions/encode_submission. When using this endpoint, make sure you trust the node you're talking to, as it is possible they could manipulate your request.
  2. Sign the encoded transaction and use it to create a TransactionSignature.
  3. Submit the request. Make sure to use the "application/json" Content-Type.

To submit a transaction as BCS, you must submit a SignedTransaction encoded as BCS. See SignedTransaction in types/src/transaction/mod.rs. Make sure to use the application/x.aptos.signed_transaction+bcs Content-Type.

Body
post
/transactions

Endpoints

A request to submit a transaction

This requires a transaction and a signature of it

senderstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
sequence_numberstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
max_gas_amountstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
gas_unit_pricestring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
expiration_timestamp_secsstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
payloadone ofRequired

An enum of the possible transaction payloads

typeDiscriminatorstringRequiredExample: entry_function_payload
functionstringRequired

Entry function id is string representation of a entry function defined on-chain.

Format: {address}::{module name}::{function name}

Both module name and function name are case-sensitive.

Example: 0x1::aptos_coin::transfer
type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
or
typeDiscriminatorstringRequiredExample: script_payload
bytecodestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
namestringRequired
visibilitystring · enumRequired

Move function visibility

Possible values:
is_entrybooleanRequired

Whether the function can be called as an entry function directly in a transaction

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the function that uses it

paramsstring[]Required

Parameters associated with the move function

returnstring[]Required

Return type of the function

type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
or
typeDiscriminatorstringRequiredExample: module_bundle_payload
bytecodestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
namestringRequired
friendsstring[]Required

Friends of the module

Example: 0x1::aptos_coin
namestringRequired
visibilitystring · enumRequired

Move function visibility

Possible values:
is_entrybooleanRequired

Whether the function can be called as an entry function directly in a transaction

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the function that uses it

paramsstring[]Required

Parameters associated with the move function

returnstring[]Required

Return type of the function

namestringRequired
is_nativebooleanRequired

Whether the struct is a native struct of Move

abilitiesstring[]Required

Abilities associated with the struct

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the type that uses it

namestringRequired
typestringRequired

String representation of an on-chain Move type tag that is exposed in transaction payload. Values: - bool - u8 - u16 - u32 - u64 - u128 - u256 - address - signer - vector: vector<{non-reference MoveTypeId}> - struct: {address}::{module_name}::{struct_name}::<{generic types}>

Vector type value examples:
  - `vector<u8>`
  - `vector<vector<u64>>`
  - `vector<0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>>`

Struct type value examples:
  - `0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
  - `0x1::account::Account`

Note:
  1. Empty chars should be ignored when comparing 2 struct tag ids.
  2. When used in an URL path, should be encoded by url-encoding (AKA percent-encoding).
Pattern: ^(bool|u8|u64|u128|address|signer|vector<.+>|0x[0-9a-zA-Z:_<, >]+)$
or
typeDiscriminatorstringRequiredExample: multisig_payload
multisig_addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
transaction_payloadany ofOptional
functionstringRequired

Entry function id is string representation of a entry function defined on-chain.

Format: {address}::{module name}::{function name}

Both module name and function name are case-sensitive.

Example: 0x1::aptos_coin::transfer
type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
signatureone ofRequired

An enum representing the different transaction signatures available

typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_agent_signature
senderone ofRequired

Account signature scheme

The account signature scheme allows you to have two types of accounts:

  1. A single Ed25519 key account, one private key
  2. A k-of-n multi-Ed25519 key account, multiple private keys, such that k-of-n must sign a transaction.
typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
secondary_signer_addressesstring · hex[]Required

The other involved parties' addresses

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
secondary_signersone of[]Required

The associated signatures, in the same order as the secondary addresses

typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
Responses
chevron-right
202Success
X-APTOS-CHAIN-IDinteger · uint8Required

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Required

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Required

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Required

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Required

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Required

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Required

Oldest non-pruned block height of the chain

X-APTOS-CURSORstringOptional

Cursor to be used for endpoints that support cursor-based pagination. Pass this to the start field of the endpoint on the next call to get the next page of results.

hashstringRequired
senderstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
sequence_numberstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
max_gas_amountstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
gas_unit_pricestring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
expiration_timestamp_secsstring · uint64Required

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
payloadone ofRequired

An enum of the possible transaction payloads

typeDiscriminatorstringRequiredExample: entry_function_payload
functionstringRequired

Entry function id is string representation of a entry function defined on-chain.

Format: {address}::{module name}::{function name}

Both module name and function name are case-sensitive.

Example: 0x1::aptos_coin::transfer
type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
or
typeDiscriminatorstringRequiredExample: script_payload
bytecodestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
namestringRequired
visibilitystring · enumRequired

Move function visibility

Possible values:
is_entrybooleanRequired

Whether the function can be called as an entry function directly in a transaction

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the function that uses it

paramsstring[]Required

Parameters associated with the move function

returnstring[]Required

Return type of the function

type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
or
typeDiscriminatorstringRequiredExample: module_bundle_payload
bytecodestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
namestringRequired
friendsstring[]Required

Friends of the module

Example: 0x1::aptos_coin
namestringRequired
visibilitystring · enumRequired

Move function visibility

Possible values:
is_entrybooleanRequired

Whether the function can be called as an entry function directly in a transaction

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the function that uses it

paramsstring[]Required

Parameters associated with the move function

returnstring[]Required

Return type of the function

namestringRequired
is_nativebooleanRequired

Whether the struct is a native struct of Move

abilitiesstring[]Required

Abilities associated with the struct

constraintsstring[]Required

Move abilities tied to the generic type param and associated with the type that uses it

namestringRequired
typestringRequired

String representation of an on-chain Move type tag that is exposed in transaction payload. Values: - bool - u8 - u16 - u32 - u64 - u128 - u256 - address - signer - vector: vector<{non-reference MoveTypeId}> - struct: {address}::{module_name}::{struct_name}::<{generic types}>

Vector type value examples:
  - `vector<u8>`
  - `vector<vector<u64>>`
  - `vector<0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>>`

Struct type value examples:
  - `0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
  - `0x1::account::Account`

Note:
  1. Empty chars should be ignored when comparing 2 struct tag ids.
  2. When used in an URL path, should be encoded by url-encoding (AKA percent-encoding).
Pattern: ^(bool|u8|u64|u128|address|signer|vector<.+>|0x[0-9a-zA-Z:_<, >]+)$
or
typeDiscriminatorstringRequiredExample: multisig_payload
multisig_addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
transaction_payloadany ofOptional
functionstringRequired

Entry function id is string representation of a entry function defined on-chain.

Format: {address}::{module name}::{function name}

Both module name and function name are case-sensitive.

Example: 0x1::aptos_coin::transfer
type_argumentsstring[]Required

Type arguments of the function

itemsanyOptional
signatureone ofOptional

An enum representing the different transaction signatures available

typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_agent_signature
senderone ofRequired

Account signature scheme

The account signature scheme allows you to have two types of accounts:

  1. A single Ed25519 key account, one private key
  2. A k-of-n multi-Ed25519 key account, multiple private keys, such that k-of-n must sign a transaction.
typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
secondary_signer_addressesstring · hex[]Required

The other involved parties' addresses

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
secondary_signersone of[]Required

The associated signatures, in the same order as the secondary addresses

typeDiscriminatorstringRequiredExample: ed25519_signature
public_keystring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturestring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
or
typeDiscriminatorstringRequiredExample: multi_ed25519_signature
public_keysstring · hex[]Required

The public keys for the Ed25519 signature

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
signaturesstring · hex[]Required

Signature associated with the public keys in the same order

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
thresholdinteger · uint8Required

The number of signatures required for a successful transaction

bitmapstring · hexRequired

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
413Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
507Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

POST /v1/<YOUR_API_KEY_HERE>/v1/transactions HTTP/1.1
Host: mainnet.aptos.validationcloud.io/v1/<YOUR_API_KEY_HERE>/v1
Content-Type: application/json
Accept: */*
Content-Length: 546

{
  "sender": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 ",
  "sequence_number": "32425224034",
  "max_gas_amount": "32425224034",
  "gas_unit_price": "32425224034",
  "expiration_timestamp_secs": "32425224034",
  "payload": {
    "type": "entry_function_payload",
    "function": "0x1::aptos_coin::transfer",
    "type_arguments": [
      "text"
    ],
    "arguments": []
  },
  "signature": {
    "type": "ed25519_signature",
    "public_key": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 ",
    "signature": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 "
  }
}
{
  "hash": "text",
  "sender": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 ",
  "sequence_number": "32425224034",
  "max_gas_amount": "32425224034",
  "gas_unit_price": "32425224034",
  "expiration_timestamp_secs": "32425224034",
  "payload": {
    "type": "entry_function_payload",
    "function": "0x1::aptos_coin::transfer",
    "type_arguments": [
      "text"
    ],
    "arguments": []
  },
  "signature": {
    "type": "ed25519_signature",
    "public_key": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 ",
    "signature": "0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1 "
  }
}

Billing

Welcome to Node API's Billing Page

hashtag
Overview

At Validation Cloud, we understand that every business has unique needs and financial constraints. That’s why we’ve designed our billing system to be as flexible and accommodating as possible, catering to enterprises and experienced developers entering the web3 space.

Our pricing model is structured around three plans: The Free Plan and Scale Plan, charged based on a Compute Unit (CU) system. We also have the Private Plan which has custom pricing based on your traffic profile and offers access to more blockchains.

hashtag
Free Plan

Get started with our Node API without any upfront costs or commitment. Simply sign up for free—no credit card required—and gain immediate access to our enterprise-grade nodes with no performance limitations until you've reached your 50 million-th compute unit. Enjoy seamless integration and superior performance up to the 50 millionth compute unit, completely free of charge.

hashtag
Scale Plan

As your web3 needs grow, Validation Cloud is prepared to scale with you. Our Scale Plan is designed for users requiring additional compute units beyond the Free Plan 50 million CUs. The Scale Plan operates on a sliding scale, with the cost per 1 million CUs decreasing as your usage increases.

hashtag
Private Plan

For high-volume users, protocols and applications, we offer the Private Plan.

The Private Plan offers two things over the Scale Plan:

  1. Discounts/custom pricing based on your volume and traffic profile

  2. RPC/API access to more blockchains than are available in the public Node API product. Validation Cloud runs nodes for 50+ chains. If you want connectivity into something not in our public product, chances are we're probably already running it and can enable it for your account.

You can let us know which chains you are interested in within the Node API product or with us directly.

In summary, Node API's Scale Plan offers a flexible pricing model that adjusts based on your usage. The more compute units you consume, the lower the cost per million CUs.

This approach ensures that you only pay for the resources you need, making it a cost-effective solution for both enterprises and developers at any stage of their web3 venture. For high-volume usage and discounts, the Private Plan offers a way to have custom pricing.

With our Node API, you can trust that you’re getting the most value from your crypto node infrastructure investment. Please feel free to if you have any questions or require further information.

hashtag
Compute Unit Thresholds

Compute Units (CU per month)
Price (USD per 1M CU)

Team Accounts

How to share your Validation Cloud account with teammates.

With Team Accounts, your team can have individual accounts with controlled access to your Node API keys, Staking, and a single bill, instead of sharing one login.

If you already have a Validation Cloud account, you are the Admin of your own team. Until you add teammates, nothing changes about how you use your account.

circle-info

Scope. Team Accounts cover Node API and Staking. Mavrik is not part of Team Accounts currently.

hashtag
Roles

There are two roles: Admin and Team Member. A team must always have at least one Admin.

Action
Admin
Team Member

One bill per team covers Node API usage for all team members.

hashtag
Where to manage your team

As an Admin, you can see your team's members and their roles on the Team page in your Validation Cloud account. To add, remove, or change a teammate's role, email your account contact. Self-serve controls are coming in a future release.

Team Members see a read-only version of the team page.

hashtag
Adding teammates

triangle-exclamation

Before you add a teammate, make sure they are not using their own existing Node API keys.

When someone joins a team, their previous Node API keys are deleted. Any applications or services running with those keys will break and cannot be recovered.

Have an Admin or Team Member in the account you will be invited to create any keys you need. Switch them over and verify they are working before joining the team.

To add a teammate:

  1. Have them sign up for a Validation Cloud account at .

  2. Email your account contact (or reply in your existing support thread) with their email and the role they should have (Admin or Team Member).

  3. We will add them to your team.

Self-serve email invitations are coming in a future release.

hashtag
Leaving or moving between teams

To leave a team or move between teams, contact your account manager.

500M - 1B

$0.40

Greater than 1B

$0.35

0 - 50M

Free

50 - 150M

$0.50

150 - 500M

$0.45

book a callarrow-up-right
contact us arrow-up-right

Accounts

Blocks

Events

General

Tables

Transactions

Debug API

✓

✓

Delete Node API endpoint keys

✓

—

View billing, change plan, change payment method

✓

—

Access Staking

✓

—

Add, remove, or change role of team members

via Validation Cloud

—

View and create Node API endpoint keys

✓

✓

View usage and metrics

✓

✓

app.validationcloud.io/auth/login?screen_hint=signuparrow-up-right
Team page

View team members

View

Get Account

Return the authentication key and the sequence number for an account address.

This method will use 15 Compute Units.


Get Account Resources

Retrieves all account resources for a given account and a specific ledger version.

This method will use 30 Compute Units.


Get Account Resource

Retrieves an individual resource from a given account and at a specific ledger version.

This method will use 20 Compute Units.


Get Account Modules

Retrieves all account modules' bytecode for a given account at a specific ledger version.

This method will use 60 Compute Units.


Get Account Module

Retrieves an individual module from a given account and at a specific ledger version.

This method will use 30 Compute Units.


Get Blocks by Height

This endpoint allows you to get the transactions in a block and the corresponding block information.

This method will use 50 Compute Units.


Get Blocks by Version

Get the transactions in a block and the corresponding block information given a version in the block.

This method will use 50 Compute Units.


Get Events by Creation Number

Event types are globally identifiable by an account address and monotonically increasing creation_number. This API returns events corresponding to that event type.

This method will use 30 Compute Units.


Get Events by Event Handle

This endpoint returns events emitted to the account matching a given event type.

This method will use 30 Compute Units.


Get Ledger Info

Get the latest ledger information, including data such as chain ID, role type, ledger versions, epoch, etc.

This method will use 10 Compute Units.


Get Table Item

Get a table item at a specific ledger version from the table.

This method will use 150 Compute Units.


Get Raw Table iItem

Get a raw table item at a specific ledger version from the table.

This method will use 200 Compute Units.


Get transactions

Retrieve on-chain committed transactions.

This method will use 150 Compute Units.


Get Transaction by Hash

Look up a transaction by its hash.

This method will use 15 Compute Units.


Get Transaction by Version

Retrieves a transaction by a given version.

This method will use 15 Compute Units.


Get Account Transactions

Retrieves on-chain committed transactions from an account.

This method will use 150 Compute Units.


Submit Batch Transactions

This allows you to submit multiple transactions.

This method will use 3500 Compute Units.


Simulate Transaction

The output of the transaction will have the exact transaction outputs and events that running an actual signed transaction would have.

This method will use 50 Compute Units.


Encode Submission

This method will use 15 Compute Units.


Estimate Gas Price

This method will use 30 Compute Units.


Execute View Function of a Module

Execute the Move function with the given parameters and return its execution result.

This method will use 50 Compute Units.


Overview

hashtag
Network Support

Network
HTTPS
WSS

Faucets

Getting test tokens to interact with blockchain networks

hashtag
What is a Faucet in web3?

A faucet is a way for web3 users to obtain a small amount of testnet, or sometimes mainnet, tokens to their wallet, for the purpose of getting started using various blockchain networks or protocols, e.g. to help pay initial gas fees for testing transactions.

The name “faucet”, from American English, is used because tokens are usually “dripped” in small amounts over a fixed time period for the same user/wallet, e.g. 100 Test HBAR every 24 hours.

eth_accounts

Returns a list of addresses owned by client.

This method will use 20 .


hashtag
Reference:

eth_blockNumber

Returns the number of most recent block.

This method will use 20 .


hashtag
Reference:

eth_chainId

Returns the chain ID used for signing replay-protected transactions.

This method will use 10 .


hashtag
Reference:

eth_estimateGas

Generates and returns an estimate of how much gas is necessary to allow the transaction to complete.

This method will use 40 .


hashtag
Reference:

eth_getBalance

Returns the balance of the account of given address.

This method will use 40 .


hashtag
Reference:

eth_getBlockTransactionCountByHash

Returns the number of transactions in a block from a block matching the given block hash.

This method will use 40 .


hashtag
Reference:

eth_getBlockTransactionCountByNumber

Returns the number of transactions in a block matching the given block number.

This method will use 40 .


hashtag
Reference:

eth_getCode

Returns code at a given address.

This method will use 40 .


hashtag
Reference:

eth_getStorageAt

Returns the balance of the account of given address.

This method will use 40 .


hashtag
Reference:

eth_getUncleByBlockNumberAndIndex

Returns information about a uncle of a block by number and uncle index position.

This method will use 40 .


hashtag
Reference:

eth_getUncleCountByBlockHash

Returns the number of uncles in a block from a block matching the given block hash.

This method will use 40 .


hashtag
Reference:

eth_maxPriorityFeePerGas

Get the priority fee needed to be included in a block.

This method will use 20 .


hashtag
Parameters

None

eth_newBlockFilter

Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call .

This method will use 40 .


hashtag
Reference:

eth_newPendingTransactionFilter

Creates a filter in the node, to notify when new pending transactions arrive. To check if the state has changed, call .

This method will use 40 .


hashtag
Reference:

eth_sendRawTransaction

Creates new message call transaction or a contract creation for signed transactions.

This method will use 80 .


hashtag
Reference:

eth_uninstallFilter

Uninstalls a filter with given id. Should always be called when watch is no longer needed. Additionally Filters timeout when they aren't requested with for a period of time.

This method will use 20 .


hashtag
Reference:

eth_unsubscribe

Cancels an existing subscription so that no further events are sent.

This method will use 20 .


hashtag
Parameters

subscription name - string, same as previously returned from an

net_peerCount

Returns number of peers currently connected to the client.

This method will use 20 .


hashtag
Reference:

net_version

Returns the current network id.

This method will use 10 .


hashtag
Reference:

web3_clientVersion

Returns the current client version.

This method will use 40 .


hashtag
Reference:

web3_sha3

Returns Keccak-256 (not the standardized SHA3-256) of the given data.

This method will use 40 .


hashtag
Reference:

eth_accounts

Returns a list of addresses owned by client.

This method will use 10 .


hashtag
Reference:

eth_chainId

Returns the chain ID used for signing replay-protected transactions.

This method will use 5 .


hashtag
Reference:

eth_estimateGas

Generates and returns an estimate of how much gas is necessary to allow the transaction to complete.

This method will use 100 .


hashtag
Reference:

eth_blockNumber

Returns the number of most recent block.

This method will use 10 .


hashtag
Reference:

eth_getBlockTransactionCountByNumber

Returns the number of transactions in a block matching the given block number.

This method will use 20 .


hashtag
Reference:

eth_getBlockTransactionCountByHash

Returns the number of transactions in a block from a block matching the given block hash.

This method will use 20 .


hashtag
Reference:

C-Chain

Supported JSON-RPC methods for Avalanche mainnet and fuji testnet.

Contract Chain (C-Chain):

The Contract Chain is the default smart contract blockchain on Avalanche and enables the creation of any Ethereum-compatible smart contracts. This blockchain is for applications that require total ordering (for faster asset transfers or any other commutative application, use the Exchange Chain). The Contract Chain implements the consensus protocol.

The trailing endpoint for C-Chain calls is:

hashtag
What Faucets does Validation Cloud offer?

We provide a faucet for ICP (Internet Computer Protocol), specifically for the following tokens:

Token
Canister ID

TESTICP

xafvr-biaaa-aaaai-aql5q-cai

TICRC1

3jkp5-oyaaa-aaaaj-azwqa-cai

Note: You may have to import the above tokens into your wallet using the canister ID above.

We also link to other existing and working testnet faucets for the following networks:

  • Aptos

  • Hedera

  • Stellar

Create or log-in to your account, go to Node API at https://app.validationcloud.io/nodearrow-up-right, select Faucets, and follow the instructions for each network.

hashtag
Faucet Frequently Asked Questions (FAQ)

hashtag
Why can I only get X tokens?

Even on testnet networks, tokens need to come from somewhere, often the relevant blockchain foundation.

As a result, individual users/wallets are normally restricted to a certain amount of tokens that provide enough to allow for testing or interaction with the relevant blockchain.

Execution API

To interact with C-Chain via the JSON-RPC endpoint via HTTPS:
/ext/bc/C/rpc (for all eth_ methods)
/ext/bc/C/avax (for all avax. methods)

To interact with C-Chain via the JSON-RPC endpoint via Websocket:
/ext/bc/C/ws

To interact with other instances of the EVM via the JSON-RPC endpoint:
/ext/bc/blockchainID/rpc

(where "blockchainID" is the ID of the EVM chain)
Snowmanarrow-up-right
hashtag
Parameters

from - [optional] String of the address the transaction is sent from.

to - [optional] String of the address the transaction is directed to.

gas - [optional] Integer of the gas provided for the transaction execution.

gasprice - [optional] Integer of the gasPrice used for each paid gas encoded as a hexadecimal.

value - [optional] Integer of the value sent with this transaction encoded as a hexadecimal.

data - [optional] String of the hash of the method signature and encoded parameters. For more information, see the Contract ABI description in the Solidity documentationarrow-up-right.

hashtag
Returns

String - hex string value representing an integer of the amount of gas units used.

Compute Units
Herearrow-up-right
hashtag
Parameters

QUANTITY|TAG - integer of a block number, or the string "earliest", "latest" or "pending", as in the default block parameterarrow-up-right.

hashtag
Returns

QUANTITY - integer of the number of transactions in this block.

Compute Units
Herearrow-up-right
hashtag
Parameters
  1. DATA, 20 Bytes - address.

  2. QUANTITY|TAG - integer block number, or the string "latest", "earliest" or "pending", see the default block parameterarrow-up-right

hashtag
Returns

DATA - the code from the given address.

Compute Units
Herearrow-up-right
hashtag
Parameters
  1. DATA, The signed transaction data.

hashtag
Returns

DATA, 32 Bytes - the transaction hash, or the zero hash if the transaction is not yet available.

Use eth_getTransactionReceipt to get the contract address, after the transaction was mined, when you created a contract.

Compute Units
Herearrow-up-right
hashtag
Parameters
  1. QUANTITY - The filter id.

hashtag
Returns

Boolean - true if the filter was successfully uninstalled, otherwise false.

eth_getFilterChanges
Compute Units
Herearrow-up-right
hashtag
Parameters

None

hashtag
Returns

String - The current network id.

The full list of current network IDs is available at chainlist.orgarrow-up-right. Some common ones are:

  • 1: Ethereum Mainnet

  • 5: Goerli testnet

  • 11155111: Sepolia testnet

Compute Units
Herearrow-up-right
hashtag
Parameters

from - [optional] String of the address the transaction is sent from.

to - [optional] String of the address the transaction is directed to.

gas - [optional] Integer of the gas provided for the transaction execution.

gasprice - [optional] Integer of the gasPrice used for each paid gas encoded as a hexadecimal.

value - [optional] Integer of the value sent with this transaction encoded as a hexadecimal.

data - [optional] String of the hash of the method signature and encoded parameters. For more information, see the Contract ABI description in the Solidity documentationarrow-up-right.

hashtag
Returns

String - hex string value representing an integer of the amount of gas units used.

Compute Units
Herearrow-up-right
hashtag
Parameters

QUANTITY|TAG - integer of a block number, or the string "earliest", "latest" or "pending", as in the default block parameterarrow-up-right.

hashtag
Returns

QUANTITY - integer of the number of transactions in this block.

Compute Units
Herearrow-up-right
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_estimateGas","params":[{see above}],"id":1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_estimateGas","params":[{see above}],"id":1}'
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x5208" // 21000
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0x55946fd"],"id":1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0xe8"],"id":1}'
params: [
  "0xe8", // 232
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xa" // 10
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getCode","params":["0xa94f5374fce5edbc8e2a8697c15331677e6ebf0b", "0x2"],"id":1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getCode","params":["0xa94f5374fce5edbc8e2a8697c15331677e6ebf0b", "0x2"],"id":1}'
params: [
  "0xa94f5374fce5edbc8e2a8697c15331677e6ebf0b",
  "0x2", // 2
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x600160008035811a818181146012578301005b601b6001356025565b8060005260206000f25b600060078202905091905056"
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_sendRawTransaction","params":[{see above}],"id":1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_sendRawTransaction","params":[{see above}],"id":1}'
params: [
  "0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675",
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xe670ec64341771606e55d6b4ca35a1a6b75ee3d5145a99d05921026d1527331"
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_uninstallFilter","params":["0xb"],"id":73}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_uninstallFilter","params":["0xb"],"id":73}'
params: [
  "0xb", // 11
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": true
}
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "3"
}
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_estimateGas","params":[{see above}],"id":1}'
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_estimateGas","params":[{see above}],"id":1}'
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x5208" // 21000
}
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0xe8"],"id":1}'
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByNumber","params":["0xe8"],"id":1}'
params: [
  "0xe8", // 232
]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xa" // 10
}

❌

Testnet

✅

❌

hashtag
Compute Units

v1/accounts/{address}

15

v1/accounts/{address}/resources

30

v1/accounts/{address}/resource/{resource_name}

20

v1/accounts/{address}/modules

60

Mainnet

✅

hashtag
Parameters

None

hashtag
Returns

array of data - 20 Bytes - addresses owned by the client

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": ["0x407d73d8a49eeb85d32cf465507dd71d507100c1"]
}
hashtag
Parameters

None

hashtag
Returns

INTEGER - Value of the current block number the client is on

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":83,
  "jsonrpc": "2.0",
  "result": "0x4b7" // 1207
}
hashtag
Parameters

None

hashtag
Returns

chainId, hexadecimal value as a string representing the integer of the current chain id.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "0x1"
}
hashtag
Parameters
  1. DATA, 20 Bytes - address to check for balance.

  2. QUANTITY|TAG - integer block number, or the string "latest", "earliest" or "pending", see the default block parameterarrow-up-right

hashtag
Returns

INTEGER - Hex value representing integer of the current balance in WEI.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":83,
  "jsonrpc": "2.0",
  "result": "0x2abfcdcfa71e54e" 
}
hashtag
Parameters

DATA, 32 Bytes - hash of a block

hashtag
Returns

QUANTITY - integer of the number of transactions in this block.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
params: ["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xb" // 11
}
hashtag
Parameters
  1. DATA, 20 Bytes - address of the storage.

  2. QUANTITY - integer of the position in the storage.

  3. QUANTITY|TAG - integer block number, or the string "latest", "earliest" or "pending", see the

hashtag
Returns

String - Hex value representing data at this storage position.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method": "eth_getStorageAt", "params": ["0x295a70b2de5e3953354a6a8344e616ed314d7251", "0x0", "latest"], "id": 1}'
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method": "eth_getStorageAt", "params": ["0x295a70b2de5e3953354a6a8344e616ed314d7251", "0x0", "latest"], "id": 1}'
Compute Units
Herearrow-up-right
// Result
{
  "id":83,
  "jsonrpc": "2.0",
  "result": "0x0000000000000000000000000000000000000000000000000000000000000000" 
}
hashtag
Parameters
  1. QUANTITY|TAG - a block number, or the string "earliest", "latest" or "pending", as in the default block parameterarrow-up-right.

  2. QUANTITY - the uncle's index position.

hashtag
Returns

See eth_getBlockByHash

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
params: [
  "0x29c", // 668
  "0x0", // 0
]
hashtag
Parameters
  1. DATA, 32 Bytes - hash of a block

hashtag
Returns

QUANTITY - integer of the number of uncles in this block.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
params: ["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
hashtag
Returns

QUANTITY - A filter id.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
hashtag
Parameters

None

hashtag
Returns

QUANTITY - A filter id.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
eth_getFilterChanges
Compute Units
Herearrow-up-right
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
hashtag
Parameters

None

hashtag
Returns

QUANTITY - A filter id.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
eth_getFilterChanges
Compute Units
Herearrow-up-right
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0x1" // 1
}
call

hashtag
Returns

true if a subscription was successfully cancelled, or false if no subscription existed with the given ID.

wscat -c wss:///mainnet.arbitrum.validationcloud.io/v1/wss/<YOUR_API_KEY_HERE>

wscat -c wss:///sepolia.arbitrum.validationcloud.io/v1/wss/<YOUR_API_KEY_HERE>

Compute Units
params: [
  "0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675",
]
// Result
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": true
}
eth_subscribe
hashtag
Parameters

None

hashtag
Returns

QUANTITY - integer of the number of connected peers.

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":74,
  "jsonrpc": "2.0",
  "result": "0x2" // 2
}
hashtag
Parameters

None

hashtag
Returns

string - The current client version 20 Bytes - addresses owned by the client

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
    "jsonrpc":"2.0",
    "id":67,
    "result":"Geth/v1.10.26-stable-e5eb32ac/linux-amd64/go1.18.5"
}
hashtag
Parameters

DATA - the data to convert into a SHA3 hash

hashtag
Returns

DATA - The SHA3 resultant hash of the given string

curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
// Result
{
  "id":64,
  "jsonrpc": "2.0",
  "result": "0x47173285a8d7341e5e972fc677286384f802f8ef42a5ec5f03bbfa254cb01fad"
}
hashtag
Parameters

None

hashtag
Returns

array of data - 20 Bytes - addresses owned by the client

curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
Compute Units
Herearrow-up-right
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": ["0x407d73d8a49eeb85d32cf465507dd71d507100c1"]
}
hashtag
Parameters

None

hashtag
Returns

chainId, hexadecimal value as a string representing the integer of the current chain id.

curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
Compute Units
Herearrow-up-right
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "0x1"
}
hashtag
Parameters

None

hashtag
Returns

INTEGER - Value of the current block number the client is on

curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
Compute Units
Herearrow-up-right
// Result
{
  "id":83,
  "jsonrpc": "2.0",
  "result": "0x4b7" // 1207
}
hashtag
Parameters

DATA, 32 Bytes - hash of a block

hashtag
Returns

QUANTITY - integer of the number of transactions in this block.

curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/rpc \
    
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X
Compute Units
Herearrow-up-right
params: ["0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"]
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xb" // 11
}

hashtag
Get account

get

Return the authentication key and the sequence number for an account address. Optionally, a ledger version can be specified. If the ledger version is not specified in the request, the latest ledger version is used.

Path parameters
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
Query parameters
ledger_versionstring · uint64Optional

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

get
/accounts/{address}

hashtag
Get account resources

get

Retrieves all account resources for a given account and a specific ledger version. If the ledger version is not specified in the request, the latest ledger version is used.

The Aptos nodes prune account state history, via a configurable time window. If the requested ledger version has been pruned, the server responds with a 410.

Path parameters
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
Query parameters
ledger_versionstring · uint64Optional

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
startstringOptional

Representation of a StateKey as a hex string. This is used for cursor based pagination.

Example: 0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879
limitinteger · uint16Optional

Max number of account resources to retrieve

If not provided, defaults to default page size.

Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

get
/accounts/{address}/resources

hashtag
Get account resource

get

Retrieves an individual resource from a given account and at a specific ledger version. If the ledger version is not specified in the request, the latest ledger version is used.

The Aptos nodes prune account state history, via a configurable time window. If the requested ledger version has been pruned, the server responds with a 410.

Path parameters
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
resource_typestringRequired

String representation of a MoveStructTag (on-chain Move struct type). This exists so you can specify MoveStructTags as path / query parameters, e.g. for get_events_by_event_handle.

It is a combination of:

  1. move_module_address, module_name and struct_name, all joined by ::
  2. struct generic type parameters joined by ,

Examples:

  • 0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>
  • 0x1::account::Account

Note:

  1. Empty chars should be ignored when comparing 2 struct tag ids.
  2. When used in an URL path, should be encoded by url-encoding (AKA percent-encoding).

See doc for more details.

Example: 0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>Pattern: ^0x[0-9a-zA-Z:_<>]+$
Query parameters
ledger_versionstring · uint64Optional

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

get
/accounts/{address}/resource/{resource_type}

hashtag
Get account modules

get

Retrieves all account modules' bytecode for a given account at a specific ledger version. If the ledger version is not specified in the request, the latest ledger version is used.

The Aptos nodes prune account state history, via a configurable time window. If the requested ledger version has been pruned, the server responds with a 410.

Path parameters
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
Query parameters
ledger_versionstring · uint64Optional

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
startstringOptional

Representation of a StateKey as a hex string. This is used for cursor based pagination.

Example: 0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879
limitinteger · uint16Optional

Max number of account modules to retrieve

If not provided, defaults to default page size.

Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

get
/accounts/{address}/modules

hashtag
Get account module

get

Retrieves an individual module from a given account and at a specific ledger version. If the ledger version is not specified in the request, the latest ledger version is used.

The Aptos nodes prune account state history, via a configurable time window. If the requested ledger version has been pruned, the server responds with a 410.

Path parameters
addressstring · hexRequired

A hex encoded 32 byte Aptos account address.

This is represented in a string as a 64 character hex string, sometimes shortened by stripping leading 0s, and adding a 0x.

For example, address 0x0000000000000000000000000000000000000000000000000000000000000001 is represented as 0x1.

Example: 0x88fbd33f54e1126269769780feb24480428179f552e2313fbe571b72e62a1ca1
module_namestringRequired

Name of module to retrieve e.g. coin

Query parameters
ledger_versionstring · uint64Optional

A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example: 32425224034
Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

get
/accounts/{address}/module/{module_name}

hashtag
Get blocks by height

get

This endpoint allows you to get the transactions in a block and the corresponding block information.

Transactions are limited by max default transactions size. If not all transactions are present, the user will need to query for the rest of the transactions via the get transactions API.

If the block is pruned, it will return a 410

Path parameters
block_heightinteger · uint64Required

Block height to lookup. Starts at 0

Query parameters
with_transactionsbooleanOptional

If set to true, include all transactions in the block

If not provided, no transactions will be retrieved

Responses
chevron-right
200Success
chevron-right
400Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
403Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
404Error
application/json
chevron-right
410Error
application/json
chevron-right
500Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
vm_error_codeinteger · uint64Optional

A code providing VM error details when submitting transactions to the VM

chevron-right
503Error
application/json
X-APTOS-CHAIN-IDinteger · uint8Optional

Chain ID of the current chain

X-APTOS-LEDGER-VERSIONinteger · uint64Optional

Current ledger version of the chain

X-APTOS-LEDGER-OLDEST-VERSIONinteger · uint64Optional

Oldest non-pruned ledger version of the chain

X-APTOS-LEDGER-TIMESTAMPUSECinteger · uint64Optional

Current timestamp of the chain

X-APTOS-EPOCHinteger · uint64Optional

Current epoch of the chain

X-APTOS-BLOCK-HEIGHTinteger · uint64Optional

Current block height of the chain

X-APTOS-OLDEST-BLOCK-HEIGHTinteger · uint64Optional

Oldest non-pruned block height of the chain

messagestringRequired

A message describing the error

error_codestring · enumRequired

These codes provide more granular error information beyond just the HTTP status code of the response.

Possible values:
[...]
